### Namespace

# GUPnPAV – 1.0

Helper objects for dealing with UPnP-AV

Version | 0.14.4
Authors | The GUPnP developers
License | LGPL-2.1-or-later
Website | https://gupnp.org
Source | https://gitlab.gnome.org/GNOME/gupnp-av/

#### Build

pkg-config files | `gupnp-av-1.0`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

CDSLastChangeParser | LastChange parser for the format used in ContentDirectory:3.
DIDLLiteContainer | Representation of a DIDL-Lite container element.
DIDLLiteContributor | Contributor attached to a DIDL-Lite object.
DIDLLiteCreateClass | DIDL-Lite CreateClass.
DIDLLiteDescriptor | DIDL-Lite Descriptor.
DIDLLiteItem | DIDL-Lite Item.
DIDLLiteObject | DIDL-Lite Object.
DIDLLiteParser | A/V DIDL-Lite XML parser.
DIDLLiteResource | DIDL-Lite Resource.
DIDLLiteWriter | DIDL-Lite fragment writer.
Feature | ContentDirectory feature.
FeatureListParser | FeatureList state variable XML parser.
LastChangeParser | A/V LastChange event XML parser.
MediaCollection | Media collection writer.
ProtocolInfo | UPnP AV ProtocolInfo.
SearchCriteriaParser | A/V search criteria parser.

#### Structs

CDSLastChangeEntry | Opaque struct which contains information about the event.

#### Enumerations

CDSLastChangeEvent | The type of event a `GUPnPCDSLastChangeEntry` is representing.
DIDLLiteFragmentResult | Possible return values of the `gupnp_didl_lite_object_apply_fragments()` call.
SearchCriteriaOp | The possible operators in SearchCriteria strings.
SearchCriteriaParserError |

#### Bitfields

DLNAConversion | The DLNA conversion flags for a resource.
DLNAFlags | The miscellaneous operations supported by a resource. For details on these flags please refer to section 7.3.37.2 of DLNA Networked Device Interoperability Guidelines Volume 1, October 2006.
DLNAOperation | The seek operations supported by a resource.
OCMFlags | The DLNA OCM flags supported by a DIDL-Lite Object. For details on these flags please refer to section 7.3.118.4 of DLNA Networked Device Interoperability Guidelines Volume 1, October 2006.

#### Error Domains

ProtocolError | `GError` codes used for errors in the #GUPNP_PROTOCOL_ERROR domain, upon any protocol related errors.

#### Functions

format_date_time_for_didl_lite | Get the representation of DateTime as an ISO8601 string. since: 0.14.1
protocol_error_quark |

#### Constants

DIDL_LITE_WRITER_NAMESPACE_DC |
DIDL_LITE_WRITER_NAMESPACE_DLNA |
DIDL_LITE_WRITER_NAMESPACE_PV |
DIDL_LITE_WRITER_NAMESPACE_UPNP |